亚马逊热销商品 API (V1)
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…
获取亚马逊畅销商品数据,包括排名位置、商品元数据和定价,用于识别特定类别中的热门商品、市场份额分析和类别研究,以及跟踪销售排名和随时间变化的受欢迎程度。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|---|
token | query | string | 是 | - | 此API服务的鉴权令牌。 |
category | query | string | 是 | - | 要返回商品的热销商品类别(例如 'baby-products' 或 'baby-products/166777011')。该值取自亚马逊热销商品页面的 URL 路径,例如:https://www.amazon.com/Best-Sellers-Baby-Baby-Toddler-Feeding-Supplies/zgbs/baby-products/166777011 |
country | query | string | 否 | US | 亚马逊产品的国家代码。 可用值: - US: 美国- AU: 澳大利亚- BR: 巴西- CA: 加拿大- CN: 中国- FR: 法国- DE: 德国- IN: 印度- IT: 意大利- MX: 墨西哥- NL: 荷兰- SG: 新加坡- ES: 西班牙- TR: 土耳其- AE: 阿拉伯联合酋长国- GB: 英国- JP: 日本- SA: 沙特阿拉伯- PL: 波兰- SE: 瑞典- BE: 比利时- EG: 埃及- ZA: 南非- IE: 爱尔兰 |
page | query | integer | 否 | 1 | 用于分页的页码。 |
代码示例
💡 环境说明
默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
bash
curl -X GET "https://api.justoneapi.com/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE"text
我想使用 Just One API 提供的“热销商品 (V1)”接口。
接入地址: 默认使用 https://api.justoneapi.com;中国大陆用户也可以改用 http://47.117.133.51:30015。
接口路径: /api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE
接口地址: BASE_URL + /api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/amazon/best-sellers-v1-zh.json
请求参数说明:
- token (query): 此API服务的鉴权令牌。 (必填)
- category (query): 要返回商品的热销商品类别(例如 'baby-products' 或 'baby-products/166777011')。该值取自亚马逊热销商品页面的 URL 路径,例如:https://www.amazon.com/Best-Sellers-Baby-Baby-Toddler-Feeding-Supplies/zgbs/baby-products/166777011 (必填)
- country (query): 亚马逊产品的国家代码。
可用值:
- `US`: 美国
- `AU`: 澳大利亚
- `BR`: 巴西
- `CA`: 加拿大
- `CN`: 中国
- `FR`: 法国
- `DE`: 德国
- `IN`: 印度
- `IT`: 意大利
- `MX`: 墨西哥
- `NL`: 荷兰
- `SG`: 新加坡
- `ES`: 西班牙
- `TR`: 土耳其
- `AE`: 阿拉伯联合酋长国
- `GB`: 英国
- `JP`: 日本
- `SA`: 沙特阿拉伯
- `PL`: 波兰
- `SE`: 瑞典
- `BE`: 比利时
- `EG`: 埃及
- `ZA`: 南非
- `IE`: 爱尔兰
- page (query): 用于分页的页码。
返回格式: JSON
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 余额不足
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
import requests
BASE_URL = "https://api.justoneapi.com" # 大陆用户可改为 "http://47.117.133.51:30015"
url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE"
response = requests.get(url)
print(response.json())js
const BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
const url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE";
const response = await fetch(url, {
method: "GET"
});
const data = await response.json();
console.log(data);java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
final String BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
final String url = BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
package main
import (
"fmt"
"io"
"net/http"
)
const BASE_URL = "https://api.justoneapi.com" // 大陆用户可改为 "http://47.117.133.51:30015"
func main() {
client := &http.Client{}
url := BASE_URL + "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
<?php
$BASE_URL = "https://api.justoneapi.com"; // 大陆用户可改为 "http://47.117.133.51:30015"
$url = $BASE_URL . "/api/amazon/get-best-sellers/v1?token=YOUR_API_KEY&category=VALUE";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;响应结果示例
正在加载最新成功示例…
